Questions » Recent Q&A » Need to download BlackBerry Java SDK 5.0

Need to download BlackBerry Java SDK 5.0

Posted 30 days ago
  • Hi! I've been searching for JDE 4.5.0 a year ago and found this forum post with JDE and simulators. You can try JDE 4.7.0 because Java-based BlackBerrys are backwards compatible. 

     

  • You can still download the BlackBerry Java Plug-in for Eclipse and use that to develop for BlackBerry OS 5.0.  It can be downloaded here:  https://developer.blackberry.com/bbos/java/download/#eclipse

    It comes with tools to develop for BlackBerry OS 7.1, but you can still install the SDKs for the previous version using the BlackBerry update site.

  • he problem is that SDK for

    Flag

  • The BlackBerry Java Plug-in for Eclipse includes SDK 7.1, but you can install ealier versions from the update site.  To do so choose use the following steps from within the BlackBerry Java Plug-in for Eclipse.

    1. Click on the Help menu.
    2. Choose Install New Software
    3. In the drop down menu select the BlackBerry Update Site.
    4. Check BlackBerry Java SDK 5.0.
    5. Keep clicking Next to complete the installation wizard.
Back